Count leads by outreach status
POST
/v1/leads/outreach-status-counts
const url = 'https://developers.waalaxy.ai/v1/leads/outreach-status-counts';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"agentIds":["example"],"linkedinAccountIds":["example"],"searchFilterId":"example","flowId":"example","currentStepId":"example","q":"example","assigned":"assigned","relationshipStatus":"ACTIVE_ASSIGNMENT","handlingFilters":["automationActive"],"blacklisted":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://developers.waalaxy.ai/v1/leads/outreach-status-counts \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "agentIds": [ "example" ], "linkedinAccountIds": [ "example" ], "searchFilterId": "example", "flowId": "example", "currentStepId": "example", "q": "example", "assigned": "assigned", "relationshipStatus": "ACTIVE_ASSIGNMENT", "handlingFilters": [ "automationActive" ], "blacklisted": true }'Count the leads by outreach status (read-only, POST for the filter body)
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”POST /v1/leads/outreach-status-counts Request body
Media typeapplication/json
object
agentIds
Array<string>
linkedinAccountIds
Array<string>
searchFilterId
string
flowId
string
currentStepId
string
q
string
assigned
string
relationshipStatus
string
handlingFilters
Array<string>
blacklisted
boolean
Responses
Section titled “Responses”Success
Media typeapplication/json
object
status
required
string
data
required
object
key
additional properties
integer
Example
{ "status": "success"}Error, see Errors and rate limits
Media typeapplication/json
object
status
required
string
error
required
object
message
required
string
code
string
requestId
string
Example
{ "status": "error"}